Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		cinepaint
Version:	0.22
Release:	2
License:	GPL, LGPL, MIT 
URL:		http://cinepaint.sourceforge.net
Group:		Graphics
Source0:	%{name}-%{version}-1.tar.gz
Patch0:		%{name}-0.21-desktop.patch
Patch1:		cinepaint-gutenprintuiconf.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	CinePaint is image retouching software with features similar to GIMP or Photoshop.
Requires:	OpenEXR lcms libtiff libjpeg libpng gtk+ fltk python 
BuildRequires:	OpenEXR-devel 
BuildRequires:  libtiff-devel 
BuildRequires:  libjpeg-devel 
BuildRequires:  libpng-devel 
BuildRequires:  lcms-devel
BuildRequires:	pkg-config 
BuildRequires:  gtk+-devel 
BuildRequires:  zlib 
BuildRequires:  fltk-devel 
BuildRequires:  fltk-gl-devel
BuildRequires:  python-devel 
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXft-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXt-devel
BuildRequires:  glibc-devel
BuildRequires:  libglib-devel
BuildRequires:  libstdc++-devel
BuildRequires:  oyranos-devel
BuildRequires:  gutenprint-devel

%description
CinePaint is image retouching software with features similar to GIMP or Photoshop.
However, two significant enhancements set CinePaint apart.
It handles 16-bit per channel color (48-bit RGB) and has a sequence manager that
facilitates moving through numbered images.
That makes it very useful for manipulating scanned 35mm film.
It was used in the production of Harry Potter, Scooby-Doo, Stuart Little,
and other feature films.
It is the most popular open source tool in the motion picture industry.
For more details see: http://cinepaint.sourceforge.net

%package devel
Summary:	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}-1
%patch0 -p1
%patch1 -p1

%build
export LDFLAGS="-lm -lpthread -ldl"
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--disable-dependency-tracking \
		--enable-pygimp \
		--disable-print 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%_datadir/{applications,pixmaps}
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}-1/%{name}.desktop $RPM_BUILD_ROOT%_datadir/applications
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}-1/%{name}.png $RPM_BUILD_ROOT%_datadir/pixmaps

%files
%defattr(-,root,root)
%_bindir
%_libdir/%{name}
%_libdir/*.so.*
%_applications
%_datadir/%{name}
%_datadir/locale
%_mandir
%_pixmaps
%_libdir/python2.5
%_datadir/fonts/FreeSans.ttf

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig
%_aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.22-2
- rebuilt against OpenEXR 1.6.1 / ilmbase 1.0.1
* Sat Jun 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.22-1
- Version Update
* Thu Feb 01 2007 Christian Metzen <metzench@ccux-linux.de> 0.21-2
- Version update to -2 release
* Tue Sep 12 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.21-1
- Version Update
- built against X.org 7.1.1
* Sat Nov 12 2005 Christian Wasem <wasem@ccux-linux.de> 0.20-2
- added desktop patch
* Thu Nov 10 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.20-1
- Version Update
* Sat Jun 25 2005 Christian Wasem <wasem@ccux-linux.de> 0.19-1
- Initial Release  
